<?php
/**
 * Loader options
 *
 * @package Theme Palace
 * @subpackage Chrisporate Pro
 * @since Chrisporate Pro 1.0.0
 */

$wp_customize->add_section( 'chrisporate_pro_loader', array(
	'title'            		=> esc_html__( 'Loader','chrisporate-pro' ),
	'description'      		=> esc_html__( 'Loader section options.', 'chrisporate-pro' ),
	'panel'            		=> 'chrisporate_pro_theme_options_panel',
) );

// Loader enable setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[loader_enable]', array(
	'sanitize_callback' => 'chrisporate_pro_sanitize_switch_control',
	'default'             	=> $options['loader_enable'],
) );

$wp_customize->add_control(  new Chrisporate_Pro_Switch_Control( $wp_customize, 'chrisporate_pro_theme_options[loader_enable]', array(
	'label'               	=> esc_html__( 'Enable loader', 'chrisporate-pro' ),
	'section'             	=> 'chrisporate_pro_loader',
	'on_off_label' 		=> chrisporate_pro_switch_options(),
) ) );

// Loader icons setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[loader_icon]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
	'default'				=> $options['loader_icon'],
) );

$wp_customize->add_control( 'chrisporate_pro_theme_options[loader_icon]', array(
	'label'           		=> esc_html__( 'Icon', 'chrisporate-pro' ),
	'description'     		=> sprintf( '%1$s <a target="_blank" href="' . esc_url( 'http://fontawesome.io/icons/' ) . '"> %2$s </a>', esc_html__( 'Select Icon ie: fa-check. See more at ', 'chrisporate-pro' ), esc_html__( 'Font awesome', 'chrisporate-pro' ) ),
	'section'         		=> 'chrisporate_pro_loader',
	'type'					=> 'text',
	'active_callback' 		=> 'chrisporate_pro_is_loader_enable',
) );
