<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage Chrisporate Pro
 * @since Chrisporate Pro 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'chrisporate_pro_single_post_section', array(
	'title'             => esc_html__( 'Single Post','chrisporate-pro' ),
	'description'       => esc_html__( 'Options to change the single posts globally.', 'chrisporate-pro' ),
	'panel'             => 'chrisporate_pro_theme_options_panel',
) );

// Single date meta setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[single_post_show_date]', array(
	'default'           => $options['single_post_show_date'],
	'sanitize_callback' => 'chrisporate_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Chrisporate_Pro_Switch_Control( $wp_customize, 'chrisporate_pro_theme_options[single_post_show_date]', array(
	'label'             => esc_html__( 'Show Date', 'chrisporate-pro' ),
	'section'           => 'chrisporate_pro_single_post_section',
	'on_off_label' 		=> chrisporate_pro_switch_options(),
) ) );

// Single author meta setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[single_post_show_author]', array(
	'default'           => $options['single_post_show_author'],
	'sanitize_callback' => 'chrisporate_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Chrisporate_Pro_Switch_Control( $wp_customize, 'chrisporate_pro_theme_options[single_post_show_author]', array(
	'label'             => esc_html__( 'Show Author', 'chrisporate-pro' ),
	'section'           => 'chrisporate_pro_single_post_section',
	'on_off_label' 		=> chrisporate_pro_switch_options(),
) ) );

// Single author category setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[single_post_show_category]', array(
	'default'           => $options['single_post_show_category'],
	'sanitize_callback' => 'chrisporate_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Chrisporate_Pro_Switch_Control( $wp_customize, 'chrisporate_pro_theme_options[single_post_show_category]', array(
	'label'             => esc_html__( 'Show Category', 'chrisporate-pro' ),
	'section'           => 'chrisporate_pro_single_post_section',
	'on_off_label' 		=> chrisporate_pro_switch_options(),
) ) );

// Single tag category setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[single_post_show_tags]', array(
	'default'           => $options['single_post_show_tags'],
	'sanitize_callback' => 'chrisporate_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Chrisporate_Pro_Switch_Control( $wp_customize, 'chrisporate_pro_theme_options[single_post_show_tags]', array(
	'label'             => esc_html__( 'Show Tags', 'chrisporate-pro' ),
	'section'           => 'chrisporate_pro_single_post_section',
	'on_off_label' 		=> chrisporate_pro_switch_options(),
) ) );

// Single comment setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[single_post_show_comment]', array(
	'default'           => $options['single_post_show_comment'],
	'sanitize_callback' => 'chrisporate_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Chrisporate_Pro_Switch_Control( $wp_customize, 'chrisporate_pro_theme_options[single_post_show_comment]', array(
	'label'             => esc_html__( 'Show Comment Meta', 'chrisporate-pro' ),
	'section'           => 'chrisporate_pro_single_post_section',
	'on_off_label' 		=> chrisporate_pro_switch_options(),
) ) );

// Single pagination setting and control.
$wp_customize->add_setting( 'chrisporate_pro_theme_options[single_post_show_pagination]', array(
	'default'           => $options['single_post_show_pagination'],
	'sanitize_callback' => 'chrisporate_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Chrisporate_Pro_Switch_Control( $wp_customize, 'chrisporate_pro_theme_options[single_post_show_pagination]', array(
	'label'             => esc_html__( 'Show Pagination', 'chrisporate-pro' ),
	'section'           => 'chrisporate_pro_single_post_section',
	'on_off_label' 		=> chrisporate_pro_switch_options(),
) ) );
