<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Chrisporate Pro
* @since Chrisporate Pro 1.0.0
*/

if ( ! function_exists( 'chrisporate_pro_validate_long_excerpt' ) ) :
  function chrisporate_pro_validate_long_excerpt( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'chrisporate-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'chrisporate-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'chrisporate-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'chrisporate_pro_validate_post_id' ) ) :
    function chrisporate_pro_validate_post_id( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'chrisporate-pro' ) );
        } elseif ( $value < 1 ) {
            $validity->add( 'min_value', esc_html__( 'Minimum value is 1', 'chrisporate-pro' ) );
        } 
        return $validity;
    }
endif;

if ( ! function_exists( 'chrisporate_pro_validate_service_count' ) ) :
  function chrisporate_pro_validate_service_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'chrisporate-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_service', esc_html__( 'Minimum no of services is 1', 'chrisporate-pro' ) );
     } elseif ( $value > 5 ) {
         $validity->add( 'max_no_of_service', esc_html__( 'Maximum no of services is 5', 'chrisporate-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'chrisporate_pro_validate_counter_count' ) ) :
  function chrisporate_pro_validate_counter_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'chrisporate-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_counter', esc_html__( 'Minimum no of counter is 1', 'chrisporate-pro' ) );
     } elseif ( $value > 4 ) {
         $validity->add( 'max_no_of_counter', esc_html__( 'Maximum no of counter is 4', 'chrisporate-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'chrisporate_pro_validate_portfolio_count' ) ) :
  function chrisporate_pro_validate_portfolio_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'chrisporate-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_portfolio', esc_html__( 'Minimum no of portfolio is 1', 'chrisporate-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_portfolio', esc_html__( 'Maximum no of portfolio is 12', 'chrisporate-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'chrisporate_pro_validate_author_count' ) ) :
  function chrisporate_pro_validate_author_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'chrisporate-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_author', esc_html__( 'Minimum no of author is 1', 'chrisporate-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_author', esc_html__( 'Maximum no of author is 10', 'chrisporate-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'chrisporate_pro_validate_latest_post_count' ) ) :
  function chrisporate_pro_validate_latest_post_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'chrisporate-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_latest_post', esc_html__( 'Minimum no of latest posts is 1', 'chrisporate-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_latest_post', esc_html__( 'Maximum no of latest posts is 12', 'chrisporate-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'chrisporate_pro_validate_testimonial_count' ) ) :
  function chrisporate_pro_validate_testimonial_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'chrisporate-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_testimonial', esc_html__( 'Minimum no of testimonials is 1', 'chrisporate-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_testimonial', esc_html__( 'Maximum no of testimonials is 10', 'chrisporate-pro' ) );
     }
     return $validity;
  }
endif;
